/*
 * at89-prog - at89-prog.h
 *
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __AT89_PROG_H
#define __AT89_PROG_H

#include <inttypes.h>

#define AT_PAGE_SIZE	64

extern int verbose_level;

typedef uint8_t u8;
typedef uint16_t u16;
typedef uint32_t u32;

int prog_enable(void);
void chip_erase(void);
int write_page(unsigned int page, const void *buf, unsigned int page_size);
int read_page(unsigned int page, void *buf, unsigned int page_size);

int read_signature(u8 *signature, unsigned int len);

#endif
